/*
 * this file is part of the "minidock" project
 * Copyright (C) 2006 by Jean Philippe GUILLEMIN <jp.guillemin@free.fr>
 * license: This software is under GPL license
 * rev: 1.9  
 */


#ifndef __CONFPATH
#define __CONFPATH "/etc/minidock/"
#endif

#ifndef __CONFFILE
#define __CONFFILE "default.cf"
#endif


// Prototypes ************************************************************

struct minidock {
	char configfile[128];
	char param_cmd[128];
	char command[128];
	char param_icon[128];
	char icon[128];
};

GtkWidget * build_dockapp(char *configfile);

void launchonclick
		(GtkWidget *event_box, 
		GdkEventButton *event,
		struct minidock *data);

int parse_from_config
		(char *filename, 
		char *param,
		char *value);

int replace_value_in_config
		(char *filename, 
		char *param, 
		char *new_value);
		
void enter_callback1( 
		GtkWidget *entry1,
		struct minidock *data);
		
void enter_callback2( 
		GtkWidget *entry1,
		struct minidock *data);

void close_callback( 
		GtkWidget *entry,
		struct minidock *data);

int usage(char *homecf, char *defaultcf);

int fcopy(	char *sfile, 
	char *dfile);


